List all transactions (Admin)
curl --request GET \
--url https://olive-gateway-a6ba.onrender.com/api/v1/admin/transactions \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/admin/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/admin/transactions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){}{}Admin
List all transactions (Admin)
Get all transactions with optional filtering (admin only)
GET
/
admin
/
transactions
List all transactions (Admin)
curl --request GET \
--url https://olive-gateway-a6ba.onrender.com/api/v1/admin/transactions \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/admin/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/admin/transactions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){}{}Authorizations
ApiKeyAuthBearerAuth
API Key for third-party integrations (WhatsApp, Smart PAY, VULT). Format: 'Bearer olive_live_xxxxxxxxxxxxx'
Query Parameters
Number of records (max 100)
Offset for pagination
Filter by transaction type (e.g., agent_cashin, transfer_p2p)
Filter by status (e.g., completed, pending)
Start date filter (YYYY-MM-DD)
End date filter (YYYY-MM-DD)
Filter by user/subscriber ID
Response
List of transactions
The response is of type object.
⌘I